# Type alias Token

Token: {
address: string | "native";
chain: Chain;
decimals: number;
key: tokens.TokenKey;
original?: Chain;
symbol: tokens.TokenSymbol;
wrapped?: {
decimals: number;
symbol: string;
};
}

#### Type declaration

- ##### address: string | "native"

- ##### chain: Chain

- ##### decimals: number

- ##### key: tokens.TokenKey

- ##### `Optional` original?: Chain

- ##### symbol: tokens.TokenSymbol

- ##### `Optional` wrapped?: {
  decimals: number;
  symbol: string;
  }

  - ##### decimals: number

  - ##### symbol: string

- Defined in core/base/src/constants/tokens/types.ts:12

Generated using TypeDoc